Method: customers.connectorConfigs.list

Lists connector configs of a customer.

HTTP request

GET https://chromemanagement.googleapis.com/v1/{parent=customers/*}/connectorConfigs

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. Format: customers/{customer}

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of connector configs to return. The default page size is 50 if pageSize is unspecified, and the maximum page size allowed is 100. Values above 100 will be capped at 100.

pageToken

string

Optional. A page token, received from a previous connectorConfigs.list call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to connectorConfigs.list must match the call that provided the page token.

Request body

The request body must be empty.

Response body

Response to connectorConfigs.list method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "connectorConfigs": [
    {
      object (ConnectorConfig)
    }
  ],
  "nextPageToken": string
}
Fields
connectorConfigs[]

object (ConnectorConfig)

The list of connector configs returned.

nextPageToken

string

The page token used to retrieve the next page of the listing request. If the token is empty, there are no more pages to retrieve.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/chrome.management.connectors.readonly
  • https://www.googleapis.com/auth/chrome.management.connectors